View Issue Details

IDProjectCategoryView StatusLast Update
0001785SymmetricDSBugpublic2014-07-12 17:31
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.1 
Target Version3.6.2Fixed in Version3.6.2 
Summary0001785: Hard coded EXECUTE AS OWNER in Sql Server triggers causes issues if the tables are created under another account
DescriptionHard coded EXECUTE AS OWNER in Sql Server triggers causes issues if the tables are created under another account. Add property that allows the user to configure who to execute the trigger as. mssql.trigger.execute.as= { CALLER | SELF | OWNER | 'user_name' }
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 4dfe82e2

2014-07-02 15:18:27

chenson

Details Diff
0001785: Hard coded EXECUTE AS OWNER in Sql Server triggers causes issues if the tables are created under another account
0001785
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: master a594cfc2

2014-07-02 15:31:39

chenson

Details Diff
0001785: Hard coded EXECUTE AS OWNER in Sql Server triggers causes issues if the tables are created under another account
0001785
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2014-07-01 10:48 chenson New Issue
2014-07-01 10:48 chenson Status new => assigned
2014-07-01 10:48 chenson Assigned To => chenson
2014-07-02 15:18 chenson Status assigned => resolved
2014-07-02 15:18 chenson Fixed in Version => 3.6.2
2014-07-02 15:18 chenson Resolution open => fixed
2014-07-02 16:00 chenson Changeset attached => SymmetricDS trunk r8433
2014-07-02 16:00 chenson Changeset attached => SymmetricDS trunk r8434
2014-07-12 17:31 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master a594cfc2
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 4dfe82e2